-- upsidedown 18.5.2013

crabSteerTrailerLREvent = {};
crabSteerTrailerLREvent_mt = Class(crabSteerTrailerLREvent, Event);

InitEventClass(crabSteerTrailerLREvent, "crabSteerTrailerLREvent");

function crabSteerTrailerLREvent:emptyNew()
    local self = Event:new(crabSteerTrailerLREvent_mt);
    return self;
end;

function crabSteerTrailerLREvent:new(object, mode)
    local self = crabSteerTrailerLREvent:emptyNew()
    self.mode = mode;
    self.object = object;
    return self;
end;

function crabSteerTrailerLREvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
    self.mode = streamReadInt8(streamId);
    self.object = networkGetObject(id);
    self:run(connection);
end;

function crabSteerTrailerLREvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
    streamWriteInt8(streamId, self.mode);
end;

function crabSteerTrailerLREvent:run(connection)
    self.object.HGdirection = self.mode;
    if not connection:getIsServer() then
        g_server:broadcastEvent(crabSteerTrailerLREvent:new(self.object, self.mode), nil, connection, self.object);
    end;
end;