-- upsidedown 18.5.2013

crabSteerTrailerModeEvent = {};
crabSteerTrailerModeEvent_mt = Class(crabSteerTrailerModeEvent, Event);

InitEventClass(crabSteerTrailerModeEvent, "crabSteerTrailerModeEvent");

function crabSteerTrailerModeEvent:emptyNew()
    local self = Event:new(crabSteerTrailerModeEvent_mt);
    return self;
end;

function crabSteerTrailerModeEvent:new(object, mode)
    local self = crabSteerTrailerModeEvent:emptyNew()
    self.mode = mode;
    self.object = object;
    return self;
end;

function crabSteerTrailerModeEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
    self.mode = streamReadInt8(streamId);
    self.object = networkGetObject(id);
    self:run(connection);
end;

function crabSteerTrailerModeEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
    streamWriteInt8(streamId, self.mode);
end;

function crabSteerTrailerModeEvent:run(connection)
    self.object.crabSteerMode = self.mode;
    if not connection:getIsServer() then
        g_server:broadcastEvent(crabSteerTrailerModeEvent:new(self.object, self.mode), nil, connection, self.object);
    end;
end;